# $Revision: 1.10 $, $Date: 2004/12/26 17:59:16 $
%define _name ROX-Lib2
Summary:	A library for ROX applications
Summary(pl):	Biblioteka dla aplikacji ROXa
Name:		rox-Lib2
Version:	1.9.16
Release:	3
License:	GPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/rox/rox-lib-%{version}.tgz
# Source0-md5:	a239bbde53e13ab1a2e92aedb8ac8d6f
# Source0-size:	113541
URL:		http://rox.sourceforge.net/rox_lib.php3
BuildRequires:	rpm-pythonprov
Requires:	python-pygtk-gtk
%pyrequires_eq  python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ROX-Lib contains shared code which can be used by other ROX
applications. It is a GTK+2 version.

%description -l pl
ROX-Lib zawiera dzielone biblioteki, ktre mog by uywane przez inne
aplikacje ROXa. To jest wersja dla GTK+2.

%prep
%setup -q -n rox-lib-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{_name}/{bin,Help,python/rox} \
	$RPM_BUILD_ROOT%{_libdir}/%{_name}/Messages

install %{_name}/App* $RPM_BUILD_ROOT%{_libdir}/%{_name}
install %{_name}/.DirIcon $RPM_BUILD_ROOT%{_libdir}/%{_name}
install %{_name}/python/*.py $RPM_BUILD_ROOT%{_libdir}/%{_name}/python
install %{_name}/python/rox/* $RPM_BUILD_ROOT%{_libdir}/%{_name}/python/rox
install %{_name}/Help/README $RPM_BUILD_ROOT%{_libdir}/%{_name}/Help
install %{_name}/Messages/* $RPM_BUILD_ROOT%{_libdir}/%{_name}/Messages

%py_comp $RPM_BUILD_ROOT%{_libdir}/%{_name}/python/rox
%py_ocomp $RPM_BUILD_ROOT%{_libdir}/%{_name}/python/rox

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_name}/Help/{Changes,findrox.py,python}
%attr(755,root,root) %{_libdir}/%{_name}/AppRun
%attr(755,root,root) %{_libdir}/%{_name}/Messages
%attr(755,root,root) %{_libdir}/%{_name}/python/make_docs.py
%{_libdir}/%{_name}/AppI*
%{_libdir}/%{_name}/.DirIcon
%{_libdir}/%{_name}/Help
%{_libdir}/%{_name}/python/rox/*.py[co]
%dir %{_libdir}/%{_name}
%dir %{_libdir}/%{_name}/python
%dir %{_libdir}/%{_name}/python/rox

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rox-Lib2.spec,v $
Revision 1.10  2004/12/26 17:59:16  saq
- release 3 for rebuild with python 2.4

Revision 1.9  2004/11/14 21:48:18  havner
- rel up for rebuild with python-pygtk

Revision 1.8  2004/10/23 19:18:25  darekr
- updated to 1.9.16

Revision 1.7  2004/08/30 23:43:58  darekr
- update to 1.9.15

Revision 1.6  2004/07/28 08:03:19  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/07/23 22:31:48  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 2

Revision 1.4  2003/05/28 13:01:41  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.1  2002/07/23 12:42:55  grzegol
- initial release
